Skip to main content
PUT
/
v1
/
customers
/
{id}
/
features
/
{code}
Set customer feature
curl --request PUT \
  --url https://api.hyperline.co/v1/customers/{id}/features/{code} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "value": true,
  "reason": null,
  "expires_at": null
}
'
{
  "feature_code": "sso",
  "value": true,
  "reason": null,
  "expires_at": null,
  "created_at": "2024-12-20T16:04:11Z",
  "updated_at": "2024-12-20T16:04:11Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required
code
string
required

Body

application/json

Customer feature payload.

value
required

Feature value.

reason
string | null

Reason associated with a customer feature override.

Example:

null

expires_at
string<date-time> | null

Expiration date of a customer feature override.

Example:

null

Response

200 - application/json
feature_code
string
required

Feature code.

Example:

"sso"

value
required

Feature value.

reason
string | null
required

Reason associated with a customer feature override.

Example:

null

expires_at
string<date-time> | null
required

Expiration date of a customer feature override.

Example:

null

created_at
string<date-time>
required

Creation date.

Example:

"2024-12-20T16:04:11Z"

updated_at
string<date-time>
required

Last update date.

Example:

"2024-12-20T16:04:11Z"